#ifndef RUBBERBAND_H
#define RUBBERBAND_H

#include <X11/Xlib.h>
#include "mdefs.h"


class Rubberband
{
public:
                Rubberband() {}
                Rubberband(Screen *screen);
    void        SetScreen(Screen *screen);
    void        Show(XButtonPressedEvent *event);
    void        Hide();
    Boolean     Visible();
    Boolean     HasMoved();
    void        GetRect(int& currx, int& curry,
                    int& currwidth, int& currheight);
    void        Draw(Widget w);
    void        Move(Widget w, int newx, int newy);

protected:
    int         x, y;
    int         oldx1, oldy1;
    int         width, height;              // Dimensions of the rectangle
    unsigned long color;
    Boolean     visible;
};

#endif // RUBBERBAND_H
