/*
 * Global declarations
 *
 *  HISTORY
 *  Date        Author  Remarks
 *  1999-03-07  hjb     Created
 */

#ifndef SEMLIB_H
#define SEMLIB_H

#include <sys/types.h>

extern int sem_create(key_t key, int initval);
extern int sem_open(key_t key);
extern void sem_rm(int id);
extern void sem_close(int id);
extern void sem_wait(int id);
extern void sem_signal(int id);
extern void sem_op(int id, int value);

#endif /* SEMLIB_H */
