#ifndef EDITFIELD_H
#define EDITFIELD_H

#include <Intrinsic.h>


typedef enum
{
  EDT_ULONG, EDT_DOUBLE, EDT_STRING
} EditDataType;


class EditField
{
  protected:

  Widget	box;
  Widget	label;
  Widget	input;
  EditDataType	dataType;

  public:

  void		Create (Widget parent, int index, char *name, EditDataType edt); 
  void		SetValue (char *name, void *value);
  Boolean	GetValue (char *name, void *value);
};

#endif /* EDITFIELD_H */

