#ifndef RUBBERBAND_H
#define RUBBERBAND_H

#include <Xlib.h>
#include "mdefs.h"

class Rubberband
{
  protected:
  int           x, y;
  int           oldx1, oldy1;
  int           width, height;          // Dimensions of the rectangle
  unsigned long color;
  Boolean       visible;

  public:
  		Rubberband (void);
  		Rubberband (Screen *screen);
  void          SetScreen (Screen *screen);
  void		Show (XButtonPressedEvent *event);
  void		Hide (void);
  Boolean	Visible (void);
  Boolean	HasMoved (void);
  void		GetRect (int& currx, int& curry,
  		  int& currwidth, int& currheight);
  void		Draw (Widget w);
  void		Move (Widget w, int newx, int newy);
};

#endif // RUBBERBAND_H

