/*
 * Declaration of the EditField class
 * This file is inluded by non-C++ files. So don't use // comments.
 *
 *  HISTORY
 *  Date        Author  Remarks
 *  1996-10-17  hjb     Reformatted
 */

#ifndef EDITFIELD_H
#define EDITFIELD_H

#include <X11/Intrinsic.h>

#include "netchaos.h"     /* USE() only */

static char rcsid[] =
    "$Id: EditField.h,v 1.1.1.1 1999/03/07 17:27:14 hans Exp $";
USE(rcsid);


typedef enum
{
    EDT_ULONG, EDT_DOUBLE, EDT_STRING
} EditDataType;





class EditField
{
public:

    void    Create(Widget parent, int index, char *name, EditDataType edt); 
    void    SetValue(char *name, void *value);
    Boolean GetValue(char *name, void *value);

protected:

    Widget          box;
    Widget          label;
    Widget          input;
    EditDataType    dataType;
};

#endif /* EDITFIELD_H */
