#include <X11/Intrinsic.h>
#include <X11/StringDefs.h>
#include <X11/Shell.h>

#include <X11/Xaw3d/Dialog.h>


static Widget aboutBox;


/*---------------------------------------------------------------------------
 *
 *
 *---------------------------------------------------------------------------*/

static void AboutCB(Widget w, XtPointer clientData, XtPointer callData)
{
    XtPopdown(aboutBox);
} /* AboutCB */




/*---------------------------------------------------------------------------
 *
 *
 *---------------------------------------------------------------------------*/

void AboutPopup(int x, int y)
{
    XtVaSetValues(aboutBox, XtNx, x, XtNy, y, 0);
    XtPopup(aboutBox, XtGrabExclusive);

} /* AboutPopup */




/*---------------------------------------------------------------------------
 *
 *
 *---------------------------------------------------------------------------*/

void AboutInit(Widget parent)
{
    Widget aboutDialog;

    aboutBox = XtVaCreatePopupShell("aboutbox", wmShellWidgetClass, parent, 0);
    aboutDialog = XtVaCreateManagedWidget("aboutdialog",
        dialogWidgetClass, aboutBox, 0);
    XawDialogAddButton(aboutDialog, "aboutbutton", AboutCB, 0);

} /* AboutInit */
